require 'yaml'

module Mobistar
  ConfigFile = File.join(ENV['HOME'], '.mobistar.yml')
  Config = {}
  
  def self.load_config!
    if File.exists? ConfigFile
      Config.merge! YAML.load_file(ConfigFile)
    end
    at_exit do
      File.open(ConfigFile, 'w') do |f|
        f.puts YAML.dump(Config)
      end
    end
  end
end
